Packages - Bug #1811

[gimp] gimp 2.10.0-6 : gmem.c:333: overflow allocating
2018-05-17 06:17 PM - joinlaw

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

gimp crash at runtime after displaying splash screen by few seconds gimp crash
and don't even show bug reporting window.

i think the problem come from gegl or babl packages because before upgrading to 2.10 i
was using gimp-devel form AUR and after upgrading babl & gegl gimp-devel (2.9) stop working so i upgrade to 2.10 from repo and
crashed.

here is my log :

Missing fast-path babl conversion detected, Implementing missing babl fast paths

accelerates GEGL, GIMP and other software using babl, warnings are printed on

first occurance of formats used where a conversion has to be synthesized

programmatically by babl based on format description

WARNING missing babl fast path(s): "R'G'B' double" to "CIE Lab double"

gimp: Gimp-Widgets-CRITICAL: gimp_device_info_set_device: assertion '(info->device NULL && GDK_IS_DEVICE (device)) ||
(GDK_IS_DEVICE (info->device) && device NULL)' failed

(gimp:11372): GdkPixbuf-CRITICAL **: 20:10:36.812: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed
(gimp:11372): GdkPixbuf-CRITICAL **: 20:10:36.812: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed
(9imp:11372): GdkPixbuf-CRITICAL **: 20:10:36.812: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(9imp:11372): GdkPixbuf-CRITICAL **: 20:10:36.812: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(gimp:11372): GdkPixbuf-CRITICAL **: 20:10:36.812: gdk_pixbuf_get_pixels_with_length: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(gimp:11372): GdkPixbuf-CRITICAL **: 20:10:36.812: gdk_pixbuf_get_rowstride: assertion '"GDK_IS_PIXBUF (pixbuf)' failed
(gimp:11372): GdkPixbuf-CRITICAL **: 20:10:36.813: gdk_pixbuf_get_n_channels: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(gimp:11372): GLib-ERROR **: 20:10:36.813: gmem.c:333: overflow allocating 18446744073709551615*18446744073709551615
bytes

(script-fu:11385): LibGimpBase-WARNING **: 20:10:36.826: script-fu: gimp_wire_read(): error
Trace/breakpoint trap

History

#1 - 2018-05-20 12:17 PM - joinlaw

invalid

this problem related to my

system and when i lost power in

my computer i was doing update

so i do reinstall packages wit "sudo pacman -S som_package ..... --force"
and i solve the problem.

sorry anyway.

#2 - 2018-05-20 04:07 PM - ovruni

- Status changed from open to not-a-bug
